- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - s -

- samples() : cStdDev, cStatistic
- saveToFile() : cVarHistogram, cWeightedStdDev, cStdDev, cStatistic, cPSquare, cKSplit, cEqdHistogramBase, cHistogramBase, cDensityEstBase
- scheduleAt() : cSimpleModule
- scheduler() : cSimulation
- scheduleStart() : cSimpleModule, cCompoundModule, cModule
- selectNextModule() : cSimulation
- selfTest() : cRNG
- send() : cSimpleModule, cParsimCommunications
- sendDelayed() : cSimpleModule
- sendDirect() : cSimpleModule
- senderGate() : cMessage
- senderGateId() : cMessage
- senderModule() : cMessage
- senderModuleId() : cMessage
- sendingTime() : cMessage
- set() : cArray
- setArrival() : cMessage
- setArrivalTime() : cMessage
- setAsString() : sFieldWrapper
- setBackgroundDisplayString() : cModule
- setBitError() : cMessage
- setBoolValue() : cPar
- setByteLength() : cMessage
- setChannel() : cGate
- setContextModule() : cSimulation
- setContextPointer() : cMessage
- setContextType() : cSimulation
- setControlInfo() : cMessage
- setCritFunc() : cKSplit
- setDataRate() : cGate
- setDatarate() : cBasicChannel
- setDelay() : cGate, cBasicChannel
- setDelimiter() : cStringTokenizer
- setDisabled() : cBasicChannel
- setDisplayString() : cModule, cGate
- setDivFunc() : cKSplit
- setDoubleValue() : cPar
- setError() : cGate, cBasicChannel
- setFieldAsString() : cStructDescriptor
- setFrom() : cGate
- setFromText() : cPar
- setGateSize() : cModule
- setGenK() : cStatistic
- setGlobalContext() : cSimulation
- setHostObject() : cAccuracyDetection, cTransientDetection
- setIndex() : cGate
- setInput() : cPar
- setKind() : cMessage
- setLength() : cMessage
- setLink() : cGate
- setLongValue() : cPar
- setName() : cOutVector, cObject, cModule, cGate
- setNumCells() : cHistogramBase
- setNumFirstVals() : cPSquare, cDensityEstBase
- setObjectValue() : cPar
- setOwnerModule() : cModulePar, cGate
- setParameters() : cADByStddev, cTDExpandingWindows
- setPdu() : cPacket
- setPhase() : cSimpleModule
- setPointerValue() : cPar
- setPostDetectFunction() : cAccuracyDetection, cTransientDetection
- setPriority() : cMessage
- setPrompt() : cPar
- setProtocol() : cPacket
- setRange() : cPSquare, cDensityEstBase
- setRangeAuto() : cPSquare, cDensityEstBase
- setRangeAutoLower() : cPSquare, cDensityEstBase
- setRangeAutoUpper() : cPSquare, cDensityEstBase
- setRedirection() : cPar
- setScheduler() : cSimulation
- setSentFrom() : cMessage
- setSimTime() : cSimulation
- setSimulation() : cScheduler
- setSrcProcId() : cMessage
- setState() : cFSM
- setStringValue() : cPar
- setStruct() : cStructDescriptor
- setSystemModule() : cSimulation
- setTagArg() : cDisplayString
- setTimestamp() : cMessage
- setTo() : cGate
- setup() : cQueue, cEnvir, cCoroutine, cBag
- setupNetwork() : cNetworkType, cSimulation
- setupRange() : cDoubleHistogram, cLongHistogram, cEqdHistogramBase, cDensityEstBase
- setWeight() : cTopology::Link, cTopology::Node
- setXMLValue() : cPar
- sFieldWrapper() : sFieldWrapper
- shutdown() : cParsimCommunications, cEnvir
- simTime() : cSimulation, cSimpleModule
- size() : cModule, cGate
- snapshot() : cSimulation, cSimpleModule
- sort() : cMessageHeap
- sourceGate() : cGate
- sqrSum() : cStdDev, cStatistic
- srcProcId() : cMessage
- stackOverflow() : cSimpleModule, cCoroutine
- stackSize() : cSimpleModule, cCoroutine
- stackUsage() : cSimpleModule, cCoroutine
- start() : cADByStddev, cTDExpandingWindows, cAccuracyDetection, cTransientDetection
- startRun() : cSnapshotManager, cOutputScalarManager, cOutputVectorManager, cSimulation, cRealTimeScheduler, cSequentialScheduler, cScheduler
- state() : cFSM
- stateName() : cFSM
- stddev() : cStdDev, cStatistic
- stop() : cADByStddev, cTDExpandingWindows, cAccuracyDetection, cTransientDetection
- stringFor() : cEnum
- stringValue() : cPar
- submodule() : cModule
- sum() : cStdDev, cStatistic
- supportsAssignment() : cWatch_cPolymorphicPtr, cWatch_cPolymorphic, cWatch_stdstring, cWatch_uchar, cWatch_char, cWatch_bool, cGenericAssignableWatch< T >, cGenericReadonlyWatch< T >, cWatchBase
- switchTo() : cCoroutine
- switchToMain() : cCoroutine
- systemModule() : cSimulation